
From: Olaf Kirch <okir@suse.de>

This patch fixes a problem introduced by 2.6.9-rc1, which split part of the
ACPI initialization into a separate function named acpi_early_init.  This
function is executed unconditionally, even if acpi=off is given on the
command line.  This caused weird config problems with an onboard 3Com card
in an IBM T22 Thinkpad...

Signed-off-by: Olaf Kirch <okir@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/bus.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/acpi/bus.c~prevent-partial-acpi-setup-when-using-acpi=off drivers/acpi/bus.c
--- 25/drivers/acpi/bus.c~prevent-partial-acpi-setup-when-using-acpi=off	2004-10-21 22:12:36.037277728 -0700
+++ 25-akpm/drivers/acpi/bus.c	2004-10-21 22:46:51.255837016 -0700
@@ -668,6 +668,9 @@ acpi_bus_init (void)
 
 	ACPI_FUNCTION_TRACE("acpi_bus_init");
 
+	if (acpi_disabled)
+		goto out;
+
 	status = acpi_os_initialize1();
 
 	status = acpi_enable_subsystem(ACPI_NO_HARDWARE_INIT | ACPI_NO_ACPI_ENABLE);
@@ -722,6 +725,7 @@ acpi_bus_init (void)
 	 */
 	acpi_root_dir = proc_mkdir(ACPI_BUS_FILE_ROOT, NULL);
 
+out:
 	return_VALUE(0);
 
 	/* Mimic structured exception handling */
_
